%define		rname mod_krisp
Summary:	Apache2 KRISP module
Summary(ko): 아파치2 KRISP 모듈
Name:		httpd-krisp
Version:	r36
Release:	1%{?dist}
Epoch:		1
License:	GPL2
Group:		System Environment/Deamons
URL:		http://cvs.oops.org
Source0:	%{rname}-%{version}.tar.bz2
Source1:	krisp.conf
Patch0:		mod_krisp-fix-include-dir.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires: httpd-devel apr-devel apr-util-devel
BuildRequires: libkrisp-devel libipcalc-devel
Requires: httpd libkrisp libkrisp-data libipcalc

%define _unpackaged_files_terminate_build 0
%define _moddir %{_libdir}/httpd/modules
%define _modconf %{_sysconfdir}/httpd/conf.d

%description
This module is enable to check ISP information for Remote Client IP

%prep
%setup -q -n %{rname}-%{version}
%patch0 -p1

%build
%{__make} %{?_smp_mflags} build

%install
if [ ! -d %{buildroot} ] ; then
	%{__mkdir_p} %{buildroot}
fi

%{__mkdir_p} %{buildroot}%{_moddir}/
%{__mkdir_p} %{buildroot}%{_modconf}/
%{__install} -m 755 .libs/mod_krisp.so %{buildroot}%{_moddir}/
%{__install} -m 644 %{SOURCE1} %{buildroot}%{_modconf}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config(noreplace) %{_modconf}/krisp.conf
%{_moddir}/mod_krisp.so

%changelog
* Sun Feb 26 2012 JoungKyun.Kim <oops@neowiz.com> 1:r36-1%{?dist}
- first packaging
  http://svn.oops.org/wsvn/Apache.mod_krisp/trunk/apache2/
